org.apache.flume.sink.kite

## Class NonRecoverableEventException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.flume.sink.kite.NonRecoverableEventException

- All Implemented Interfaces:
    Serializable

      public class NonRecoverableEventException
      extends Exception

  A non-recoverable error trying to deliver the event. Non-recoverable event delivery failures include: 1. Error parsing the event body thrown from the `EntityParser` 2. A schema mismatch between the schema of an event and the schema of the destination dataset. 3. A missing schema from the Event header when using the `AvroEntityParser`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonRecoverableEventException()`
    `NonRecoverableEventException(String message)`
    `NonRecoverableEventException(String message, Throwable t)`
    `NonRecoverableEventException(Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NonRecoverableEventException

          public NonRecoverableEventException()

    - #### NonRecoverableEventException

          public NonRecoverableEventException(String message)

    - #### NonRecoverableEventException

          public NonRecoverableEventException(String message,
                                      Throwable t)

    - #### NonRecoverableEventException

          public NonRecoverableEventException(Throwable t)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.